Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.wsrp.core
Class MarkupParams

    java.lang.Object
      org.jboss.portal.wsrp.core.MarkupParams

All Implemented Interfaces:
  java.io.Serializable

    public class MarkupParams

extends java.lang.Object
implements java.io.Serializable

See Also:
  Serialized Form

Field Summary
`protected ClientData` | `clientData`
`protected Extension[]` | `extensions`
`protected java.lang.String[]` | `locales`
`protected java.lang.String[]` | `markupCharacterSets`
`protected java.lang.String[]` | `mimeTypes`
`protected java.lang.String` | `mode`
`protected java.lang.String` | `navigationalState`
`protected boolean` | `secureClientCommunication`
`protected java.lang.String` | `validateTag`
`protected java.lang.String[]` | `validNewModes`
`protected java.lang.String[]` | `validNewWindowStates`
`protected java.lang.String` | `windowState`

Constructor Summary
`MarkupParams()`
`MarkupParams(boolean secureClientCommunication, java.lang.String[] locales, java.lang.String[] mimeTypes, java.lang.String mode, java.lang.String windowState, ClientData clientData, java.lang.String navigationalState, java.lang.String[] markupCharacterSets, java.lang.String validateTag, java.lang.String[] validNewModes, java.lang.String[] validNewWindowStates, Extension[] extensions)`

Method Summary
`ClientData` | `getClientData()`
`Extension[]` | `getExtensions()`
`java.lang.String[]` | `getLocales()`
`java.lang.String[]` | `getMarkupCharacterSets()`
`java.lang.String[]` | `getMimeTypes()`
`java.lang.String` | `getMode()`
`java.lang.String` | `getNavigationalState()`
`java.lang.String` | `getValidateTag()`
`java.lang.String[]` | `getValidNewModes()`
`java.lang.String[]` | `getValidNewWindowStates()`
`java.lang.String` | `getWindowState()`
`boolean` | `isSecureClientCommunication()`
`void` | `setClientData(ClientData clientData)`
`void` | `setExtensions(Extension[] extensions)`
`void` | `setLocales(java.lang.String[] locales)`
`void` | `setMarkupCharacterSets(java.lang.String[] markupCharacterSets)`
`void` | `setMimeTypes(java.lang.String[] mimeTypes)`
`void` | `setMode(java.lang.String mode)`
`void` | `setNavigationalState(java.lang.String navigationalState)`
`void` | `setSecureClientCommunication(boolean secureClientCommunication)`
`void` | `setValidateTag(java.lang.String validateTag)`
`void` | `setValidNewModes(java.lang.String[] validNewModes)`
`void` | `setValidNewWindowStates(java.lang.String[] validNewWindowStates)`
`void` | `setWindowState(java.lang.String windowState)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### secureClientCommunication

    protected boolean secureClientCommunication

### locales

    protected java.lang.String[] locales

### mimeTypes

    protected java.lang.String[] mimeTypes

### mode

    protected java.lang.String mode

### windowState

    protected java.lang.String windowState

### clientData

    protected ClientData clientData

### navigationalState

    protected java.lang.String navigationalState

### markupCharacterSets

    protected java.lang.String[] markupCharacterSets

### validateTag

    protected java.lang.String validateTag

### validNewModes

    protected java.lang.String[] validNewModes

### validNewWindowStates

    protected java.lang.String[] validNewWindowStates

### extensions

    protected Extension[] extensions

Constructor Detail

### MarkupParams

    public MarkupParams()

### MarkupParams

    public MarkupParams(boolean secureClientCommunication,
                        java.lang.String[] locales,
                        java.lang.String[] mimeTypes,
                        java.lang.String mode,
                        java.lang.String windowState,
                        ClientData clientData,
                        java.lang.String navigationalState,
                        java.lang.String[] markupCharacterSets,
                        java.lang.String validateTag,
                        java.lang.String[] validNewModes,
                        java.lang.String[] validNewWindowStates,
                        Extension[] extensions)

Method Detail

### isSecureClientCommunication

    public boolean isSecureClientCommunication()

### setSecureClientCommunication

    public void setSecureClientCommunication(boolean secureClientCommunication)

### getLocales

    public java.lang.String[] getLocales()

### setLocales

    public void setLocales(java.lang.String[] locales)

### getMimeTypes

    public java.lang.String[] getMimeTypes()

### setMimeTypes

    public void setMimeTypes(java.lang.String[] mimeTypes)

### getMode

    public java.lang.String getMode()

### setMode

    public void setMode(java.lang.String mode)

### getWindowState

    public java.lang.String getWindowState()

### setWindowState

    public void setWindowState(java.lang.String windowState)

### getClientData

    public ClientData getClientData()

### setClientData

    public void setClientData(ClientData clientData)

### getNavigationalState

    public java.lang.String getNavigationalState()

### setNavigationalState

    public void setNavigationalState(java.lang.String navigationalState)

### getMarkupCharacterSets

    public java.lang.String[] getMarkupCharacterSets()

### setMarkupCharacterSets

    public void setMarkupCharacterSets(java.lang.String[] markupCharacterSets)

### getValidateTag

    public java.lang.String getValidateTag()

### setValidateTag

    public void setValidateTag(java.lang.String validateTag)

### getValidNewModes

    public java.lang.String[] getValidNewModes()

### setValidNewModes

    public void setValidNewModes(java.lang.String[] validNewModes)

### getValidNewWindowStates

    public java.lang.String[] getValidNewWindowStates()

### setValidNewWindowStates

    public void setValidNewWindowStates(java.lang.String[] validNewWindowStates)

### getExtensions

    public Extension[] getExtensions()

### setExtensions

    public void setExtensions(Extension[] extensions)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD